> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sociavault.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Comment Replies

> Scrapes replies to a TikTok comment

<Note>
  💳 **1 credit** per request
</Note>


## OpenAPI

````yaml GET /v1/scrape/tiktok/comment-replies
openapi: 3.1.0
info:
  title: SociaVault API
  version: 1.0.0
  description: >-
    # SociaVault API Documentation


    The SociaVault API provides comprehensive access to social media data
    extraction across multiple platforms.


    ## Features


    - **Multi-Platform Support**: TikTok, Instagram, YouTube, Facebook, Twitter,
    Reddit, Threads, and more

    - **Credit-Based System**: Pay-as-you-go pricing with transparent credit
    costs

    - **High Performance**: Fast, reliable data extraction

    - **Comprehensive Data**: Detailed user profiles, videos, posts, comments,
    and analytics


    ## Authentication


    All API requests require authentication using an API key in the `X-API-Key`
    header:


    ```bash

    X-API-Key: sk_live_your_api_key_here

    ```


    Get your API key from the [SociaVault
    Dashboard](https://sociavault.com/dashboard).


    ## Credits


    Each endpoint consumes credits based on data complexity:

    - Simple requests (profiles): 1 credit

    - Complex requests (demographics): 20+ credits

    - Paginated requests: Credits per page


    Check your credit balance in the dashboard or via the API.


    ## Support


    - **Documentation**: https://docs.sociavault.com

    - **Email**: support@sociavault.com

    - **Discord**: https://discord.gg/sociavault
  contact:
    name: SociaVault Support
    email: support@sociavault.com
    url: https://sociavault.com/support
  license:
    name: Commercial
    url: https://sociavault.com/terms
servers:
  - url: https://api.sociavault.com
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: account
    description: Account management and credit balance
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/account
  - name: tiktok
    description: Scrape TikTok profiles, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok
  - name: tiktok-shop
    description: Everything about TikTok Shop
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok-shop
  - name: instagram
    description: Gets Instagram profiles, posts, and reels
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/instagram
  - name: youtube
    description: Scrape YouTube channels, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/youtube
  - name: linkedin
    description: Scrape LinkedIn
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedin
  - name: facebook
    description: Get public Facebook profiles and posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebook
  - name: facebookAdLibrary
    description: Scrapes the Facebook (Meta) Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookAdLibrary
  - name: facebookMarketplace
    description: Search Facebook Marketplace and pull full listing details
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookMarketplace
  - name: googleAdLibrary
    description: >-
      Scrape the Google Ad Transparency Library. *This only gets the public ads.
      Some ads you need to log in for and sadly we can't get those. Also, since
      there are so many variations, the return types might not all be 100% the
      same.
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/googleAdLibrary
  - name: linkedinAdLibrary
    description: Search the LinkedIn Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedinAdLibrary
  - name: twitter
    description: Get Twitter profiles, tweets, followers and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/twitter
  - name: reddit
    description: Scrape Reddit posts and comments
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/reddit
  - name: threads
    description: Get Threads posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/threads
  - name: google
    description: Scrape Google search results
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/google
paths:
  /v1/scrape/tiktok/comment-replies:
    get:
      tags:
        - tiktok
      summary: Comment Replies
      description: Scrapes replies to a TikTok comment
      operationId: tiktok_Comment_Replies
      parameters:
        - name: comment_id
          in: query
          description: TikTok comment ID. This is the cid from the comments endpoint.
          required: true
          schema:
            type: string
            example: '7623828115408274207'
        - name: url
          in: query
          description: TikTok video URL. This is the url from the comments endpoint.
          required: true
          schema:
            type: string
            example: https://www.tiktok.com/@stoolpresidente/video/7623818255903329566
        - name: cursor
          in: query
          description: Cursor to get more replies. Get 'cursor' from previous response.
          required: false
          schema:
            type: integer
            example: 3
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              example:
                success: true
                data:
                  success: true
                  comments:
                    '0':
                      aweme_id: '7625554490191564062'
                      cid: '7626007039458755350'
                      collect_stat: 0
                      comment_language: en
                      comment_post_item_ids: null
                      create_time: 1775568145
                      digg_count: 0
                      fold_status: 0
                      image_list: null
                      is_author_digged: false
                      is_comment_translatable: true
                      is_high_purchase_intent: false
                      label_list: null
                      no_show: false
                      reply_comment: null
                      reply_id: '7625686964323648276'
                      reply_to_reply_id: '0'
                      share_info:
                        acl:
                          code: 1
                          extra: '{"is_share_handler_failed":"1"}'
                        desc: ''
                        title: ''
                        url: ''
                      status: 1
                      stick_position: 0
                      text: oh, I liked it
                      text_extra: {}
                      thread_has_more: true
                      thread_id: 1
                      trans_btn_style: 0
                      user:
                        account_labels: null
                        ad_cover_url: null
                        advance_feature_item_order: null
                        advanced_feature_info: null
                        avatar_thumb:
                          uri: musically-maliva-obj/1594805258216454
                          url_list:
                            '0': >-
                              https://p19-common-sign.tiktokcdn-us.com/musically-maliva-obj/1594805258216454~tplv-tiktokx-cropcenter:100:100.jpg?dr=9640&refresh_token=3e87b9ae&x-expires=1775804400&x-signature=5eoilrgjiFc9bohrvh%2FvWNL0jKE%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast8
                            '1': >-
                              https://p16-common-sign.tiktokcdn-us.com/musically-maliva-obj/1594805258216454~tplv-tiktokx-cropcenter:100:100.jpg?dr=9640&refresh_token=c6a88f1f&x-expires=1775804400&x-signature=%2FQPB6pXUMo4CS33v8h84IFKiQ0o%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast8
                            '2': >-
                              https://p19-common-sign.tiktokcdn-us.com/musically-maliva-obj/1594805258216454~tplv-tiktokx-cropcenter:100:100.jpeg?dr=9640&refresh_token=72d39115&x-expires=1775804400&x-signature=VI3OGE%2BRS6CSL%2Fh4lld%2FfrrCWHg%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast8
                          url_prefix: null
                        bold_fields: null
                        can_message_follow_status_list: null
                        can_set_geofencing: null
                        cha_list: null
                        cover_url: null
                        custom_verify: ''
                        enterprise_verify_reason: ''
                        events: null
                        followers_detail: null
                        geofencing: null
                        homepage_bottom_toast: null
                        item_list: null
                        mutual_relation_avatars: null
                        need_points: null
                        nickname: Carl Gauss
                        platform_sync_info: null
                        predicted_age_group: '-1'
                        relative_users: null
                        search_highlight: null
                        sec_uid: >-
                          MS4wLjABAAAAlRQDL02iCdJgLYBltLqVXlRYoEMmmOgpG3e9Ik9pAThBgxwMvoUh59MOS06reBAr
                        shield_edit_field_info: null
                        type_label: null
                        uid: '6896805618489951234'
                        unique_id: kryptobuddy2
                        user_profile_guide: null
                        user_tags: null
                        white_cover_url: null
                      user_buried: false
                      user_digged: 0
                  cursor: 3
                  extra:
                    fatal_item_ids: {}
                    logid: 20260409075650E3706C15F5316C435A8E
                    now: 1775721410000
                  has_more: 1
                  log_pb:
                    impr_id: 20260409075650E3706C15F5316C435A8E
                  status_code: 0
                  status_msg: ''
                  total: 4
                credits_used: 1
                endpoint: tiktok/comment_replies
        '400':
          description: Bad Request - Invalid parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: TikTok comment ID is required
                  endpoint:
                    type: string
                    example: comment_replies
                  credits_required:
                    type: integer
                    example: 1
                required:
                  - error
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
                required:
                  - error
        '402':
          description: Payment Required - Insufficient credits
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient credits
                  required:
                    type: integer
                    example: 1
                  available:
                    type: integer
                    example: 0
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Failed to fetch TikTok comment replies
                required:
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`

        Get your API key from the [Dashboard](https://sociavault.com/dashboard).

````